Hardware Locality (hwloc): Helpers for manipulating Linux libnuma nodemask_t

Hardware Locality (hwloc) 1.2.2

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Helpers for manipulating Linux libnuma nodemask_t

## Functions
static inline int | hwloc_cpuset_to_linux_libnuma_nodemask (hwloc_topology_t topology, hwloc_const_cpuset_t cpuset, nodemask_t *nodemask)
static inline int | hwloc_nodeset_to_linux_libnuma_nodemask (hwloc_topology_t topology, hwloc_const_nodeset_t nodeset, nodemask_t *nodemask)
static inline int | hwloc_cpuset_from_linux_libnuma_nodemask (hwloc_topology_t topology, hwloc_cpuset_t cpuset, const nodemask_t *nodemask)
static inline int | hwloc_nodeset_from_linux_libnuma_nodemask (hwloc_topology_t topology, hwloc_nodeset_t nodeset, const nodemask_t *nodemask)

## Function Documentation

static inline int hwloc_cpuset_from_linux_libnuma_nodemask | ( | hwloc_topology_t | topology,
|  | hwloc_cpuset_t | cpuset,
|  | const nodemask_t * | nodemask
| ) |  | `[static]`

Convert libnuma nodemask `nodemask` into hwloc CPU set `cpuset`.

This function may be used before calling some old libnuma functions that use a nodemask_t as an output parameter.

static inline int hwloc_cpuset_to_linux_libnuma_nodemask | ( | hwloc_topology_t | topology,
|  | hwloc_const_cpuset_t | cpuset,
|  | nodemask_t * | nodemask
| ) |  | `[static]`

Convert hwloc CPU set `cpuset` into libnuma nodemask `nodemask`.

This function may be used before calling some old libnuma functions that use a nodemask_t as an input parameter.

static inline int hwloc_nodeset_from_linux_libnuma_nodemask | ( | hwloc_topology_t | topology,
|  | hwloc_nodeset_t | nodeset,
|  | const nodemask_t * | nodemask
| ) |  | `[static]`

Convert libnuma nodemask `nodemask` into hwloc NUMA node set `nodeset`.

This function may be used before calling some old libnuma functions that use a nodemask_t as an output parameter.

static inline int hwloc_nodeset_to_linux_libnuma_nodemask | ( | hwloc_topology_t | topology,
|  | hwloc_const_nodeset_t | nodeset,
|  | nodemask_t * | nodemask
| ) |  | `[static]`

Convert hwloc NUMA node set `nodeset` into libnuma nodemask `nodemask`.

This function may be used before calling some old libnuma functions that use a nodemask_t as an input parameter.